Skip to content

# Interface: ProtocolRouteParams

Common.Types.ProtocolRouteParams

The collection of the dynamic parts of a URI which initiated a `lens://` protocol request

## Table of contents

### Properties

- pathname
- search
- tail

## Properties

### pathname

• pathname: `Record`<string, string>

the matching parts of the path. The dynamic parts of the URI path.

### search

• search: `Record`<string, string>

the parts of the URI query string

### tail

• `Optional` tail: `string`

if the most specific path schema that is matched does not cover the whole of the URI's path. Then this field will be set to the remaining path segments.

Example:

If the path schema `/landing/:type` is the matched schema for the URI `/landing/soft/easy` then this field will be set to `"/easy"`.